Subject: [RFC v2 14/18] ARM: OMAP2+: AM33XX: control: Add some control module registers and APIs

From: [email-masked] (Santosh Shilimkar)
Date: Wed, 9 Jan 2013 13:01:03 +0530

On Wednesday 09 January 2013 11:08 AM, Bedia, Vaibhav wrote:
> On Tue, Jan 08, 2013 at 20:51:08, Shilimkar, Santosh wrote:
>> On Monday 31 December 2012 06:37 PM, Vaibhav Bedia wrote:
>>> Add minimal APIs for writing to the IPC and the M3_TXEV registers
>>> in the Control module. These will be used in a subsequent patch which
>>> adds suspend-resume support for AM33XX.
>>>
>>> Signed-off-by: Vaibhav Bedia <[email-masked]>
>>> Cc: Tony Lingren <[email-masked]>
>>> Cc: Santosh Shilimkar <[email-masked]>
>>> Cc: Benoit Cousson <[email-masked]>
>>> Cc: Paul Walmsley <[email-masked]>
>>> Cc: Kevin Hilman <[email-masked]>
>>> Cc: Vaibhav Hiremath <[email-masked]>
>>> ---
>> On Control module, we are trying to move driver/module
>> specific code to respective drivers. Can you not
>> add below code to ipc related driver component.
>>
>> If not, then patch as such is fine with me.
>>
>
> I had it in the pm33xx.c in the previous version. Kevin had asked me to
> move it to control.c. Should I revert move it back there?
>
pm33xx.c is not the right place. I was hoping to move to some driver.
If that is not possible then leave it in control module.

Regards
Santosh